public static System.Boolean LineToLine(
            Dynamic.Tekla.Structures.Geometry3d.Line Line1_,
            Dynamic.Tekla.Structures.Geometry3d.Line Line2_)
        {
            var Line1  = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line1_);
            var Line2  = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line2_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Parallel", "LineToLine", Line1, Line2);

            return(result);
        }
        public static System.Boolean LineToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Line Line_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var Line   = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line_);
            var Plane  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Parallel", "LineToPlane", Line, Plane);

            return(result);
        }
Exemple #3
0
        public static System.Double PointToLine(
            Dynamic.Tekla.Structures.Geometry3d.Point Point_,
            Dynamic.Tekla.Structures.Geometry3d.Line Line_)
        {
            var Point  = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point_);
            var Line   = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line_);
            var result = (System.Double)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Distance", "PointToLine", Point, Line);

            return(result);
        }
Exemple #4
0
        public static Dynamic.Tekla.Structures.Geometry3d.LineSegment LineToObb(
            Dynamic.Tekla.Structures.Geometry3d.Line line_,
            Dynamic.Tekla.Structures.Geometry3d.OBB obb_)
        {
            var line    = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line_);
            var obb     = Dynamic.Tekla.Structures.Geometry3d.OBB_.GetTSObject(obb_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Intersection", "LineToObb", line, obb);
            var _result = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.FromTSObject(result);

            return(_result);
        }
Exemple #5
0
        public static Dynamic.Tekla.Structures.Geometry3d.Point LineToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Line line_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane plane_)
        {
            var line    = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line_);
            var plane   = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(plane_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Intersection", "LineToPlane", line, plane);
            var _result = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(result);

            return(_result);
        }
Exemple #6
0
        public static Dynamic.Tekla.Structures.Geometry3d.LineSegment LineToLine(
            Dynamic.Tekla.Structures.Geometry3d.Line line1_,
            Dynamic.Tekla.Structures.Geometry3d.Line line2_)
        {
            var line1   = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line1_);
            var line2   = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line2_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Intersection", "LineToLine", line1, line2);
            var _result = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.FromTSObject(result);

            return(_result);
        }
        public static Dynamic.Tekla.Structures.Model.RebarGroup Split(
            Dynamic.Tekla.Structures.Model.RebarGroup Object_,
            Dynamic.Tekla.Structures.Geometry3d.Line SplitLine_)
        {
            var Object    = Dynamic.Tekla.Structures.Model.RebarGroup_.GetTSObject(Object_);
            var SplitLine = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(SplitLine_);
            var result    = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Model.Operations.Operation", "Split", Object, SplitLine);
            var _result   = Dynamic.Tekla.Structures.Model.RebarGroup_.FromTSObject(result);

            return(_result);
        }
Exemple #8
0
        public static Dynamic.Tekla.Structures.Geometry3d.Line LineToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Line Line_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var Line    = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line_);
            var Plane   = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Projection", "LineToPlane", Line, Plane);
            var _result = Dynamic.Tekla.Structures.Geometry3d.Line_.FromTSObject(result);

            return(_result);
        }
Exemple #9
0
        public static Dynamic.Tekla.Structures.Geometry3d.Point PointToLine(
            Dynamic.Tekla.Structures.Geometry3d.Point Point_,
            Dynamic.Tekla.Structures.Geometry3d.Line Line_)
        {
            var Point   = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point_);
            var Line    = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Projection", "PointToLine", Point, Line);
            var _result = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(result);

            return(_result);
        }
Exemple #10
0
        public System.Boolean Intersects(
            Dynamic.Tekla.Structures.Geometry3d.Line line_)
        {
            var line = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line_);

            try
            {
                var result = (System.Boolean)teklaObject.Intersects(line);

                return(result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(Intersects), ex);
            }
        }
Exemple #11
0
        public System.Double DistanceTo(
            Dynamic.Tekla.Structures.Geometry3d.Line line_)
        {
            var line = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line_);

            try
            {
                var result = (System.Double)teklaObject.DistanceTo(line);

                return(result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(DistanceTo), ex);
            }
        }
Exemple #12
0
        public Dynamic.Tekla.Structures.Geometry3d.LineSegment ShortestSegmentTo(
            Dynamic.Tekla.Structures.Geometry3d.Line line_)
        {
            var line = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line_);

            try
            {
                var result = teklaObject.ShortestSegmentTo(line);

                var _result = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.FromTSObject(result);
                return(_result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(ShortestSegmentTo), ex);
            }
        }
Exemple #13
0
        public Dynamic.Tekla.Structures.Geometry3d.Point[] IntersectionPointsWith(
            Dynamic.Tekla.Structures.Geometry3d.Line line_)
        {
            var line = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(line_);

            try
            {
                var result = teklaObject.IntersectionPointsWith(line);

                var _result = Dynamic.Tekla.Structures.Geometry3d.PointArray_.FromTSObject(result);
                return(_result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(IntersectionPointsWith), ex);
            }
        }
        public CylindricalSurface(System.Collections.Generic.List <Dynamic.Tekla.Structures.Geometry3d.Point> lateralBoundary1, System.Collections.Generic.List <Dynamic.Tekla.Structures.Geometry3d.Point> lateralBoundary2, Dynamic.Tekla.Structures.Geometry3d.Line centerLine, Dynamic.Tekla.Structures.Geometry3d.Vector rotationAxis)
        {
            var args = new object[4];

            args[0]          = lateralBoundary1;
            args[1]          = lateralBoundary2;
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(centerLine);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(rotationAxis);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Model.CylindricalSurface", args);
        }